=== debian/changelog ===
libbpp-numcalc (1.8.0) unstable; urgency=low

  * Tools for hidden Markov models.
  * Improved gestion of parameter transformations.
  * New LinearMatrix class.
  * Compilation with -Weffc++

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 24 Mar 2010 16:18:52 +0100

libbpp-numcalc (1.7.0) unstable; urgency=low

  * Several interface changes, to allow namespace in parameter names +
  aliasing functions.
  * Several bug fixed + new vector and matrix tools.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Wed, 10 Jun 2009 11:28:58 +0100

libbpp-numcalc (1.6.0) unstable; urgency=low

  * New numerical cross derivatives + new methods in RandomTools &
  VectorTools.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Thu, 11 Dec 2008 12:21:37 +0100

libbpp-numcalc (1.5.0) unstable; urgency=low

  * Initial Release.

 -- Julien Dutheil <jdutheil@birc.au.dk>  Mon, 21 Jul 2008 15:17:26 +0200
