=== debian/control ===
Source: libbpp-numcalc
Section: libs
Priority: optional
Maintainer: Julien Dutheil <julien.dutheil@univ-montp2.fr>
Build-Depends: debhelper (>= 5), cmake (>= 2.6)
Standards-Version: 3.7.2

Package: libbpp-numcalc-dev
Section: libdevel
Architecture: any
Depends: libbpp-numcalc (= ${source:Version}), libbpp-utils-dev (>= 1.5.0)
Description: The Bio++ NumCalc library development files.
 Contains the Bio++ classes for numerical calculus.

Package: libbpp-numcalc
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libbpp-utils (>= 1.5.0)
Description: The Bio++ NumCalc library.
 Contains the Bio++ classes for numerical calculus.
